> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Leave Request



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/leave-requests/{leave_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/leave-requests/{leave_id}:
    get:
      tags:
        - 'Admin Sector: Leave'
      summary: Get Leave Request
      operationId: get_leave_request_api_v1_leave_requests__leave_id__get
      parameters:
        - name: leave_id
          in: path
          required: true
          schema:
            type: string
            title: Leave Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeaveResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    LeaveResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        employeeId:
          type: string
          title: Employeeid
        leaveType:
          type: string
          title: Leavetype
        dayPart:
          type: string
          title: Daypart
          default: full_day
        startDate:
          type: string
          title: Startdate
        endDate:
          type: string
          title: Enddate
        days:
          anyOf:
            - type: number
            - type: 'null'
          title: Days
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        status:
          type: string
          title: Status
        decisionNotes:
          anyOf:
            - type: string
            - type: 'null'
          title: Decisionnotes
        approvedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Approvedbyid
        approvedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Approvedat
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - orgId
        - employeeId
        - leaveType
        - startDate
        - endDate
        - status
      title: LeaveResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````